배치 탐지 시나리오 비활성화

지정한 배치 탐지 시나리오를 비활성화합니다.

HTTP 요청

POST /api/sonar/batch-rules/:guid/disable
cURL 예시
curl -H "Authorization: Bearer <API_KEY>" \
     -X POST \
     https://HOSTNAME/api/sonar/batch-rules/c4ca4744-f310-4480-baa8-0548067abfb3/disable
요청 매개변수
경로 매개변수
타입설명비고
guid문자열배치 탐지 시나리오 GUID36자

오류 응답

식별자가 GUID 형식이 아닌 경우

HTTP 상태 코드 400 응답

{
    "error_code": "invalid-param-type",
    "error_msg": "guid should be guid type."
}
시나리오가 존재하지 않는 경우

HTTP 상태 코드 500 응답

{
    "error_code": "illegal-state",
    "error_msg": "batch rule not found: 05efb651-9644-4518-950f-dbd648c973a7"
}
이미 시나리오가 비활성화된 상태인 경우

HTTP 상태 코드 500 응답

{
    "error_code": "illegal-state",
    "error_msg": "batch rule is already disabled: c4ca4744-f310-4480-baa8-0548067abfb3"
}
시나리오 활성화 권한이 없는 경우

HTTP 상태 코드 500 응답

{
    "error_code": "illegal-state",
    "error_msg": "no-permission"
}